/*
*******************************************************************************
**
**  This device driver was created by Applilet for the 78K0S/KB1+, 78K0S/KA1+,
**  78K0S/KY1+,78K0S/KU1+ 8-Bit Single-Chip Microcontrollers.
**
**  Copyright(C) NEC Electronics Corporation 2002-2006
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	int_user.c
**  Abstract :	This file implements device driver for int module.
**  APIlib :	NEC78K0SKX1+.lib V1.70 [7 Dec. 2006]
**
**  Device :	uPD78F9222
**
**  Compiler :	NEC/CC78K0
**
*******************************************************************************
*/
#pragma	interrupt	INTP0	MD_INTP0

/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "int.h"
/*
*******************************************************************************
**  MacroDefine
*******************************************************************************
*/
extern unsigned char	count;
extern unsigned char	rec[20];
extern unsigned char	flg;


void TM80_Start( )
{
	ClrIORBit(MK1, 0x08);			/* INTTM80 enable */
	SetIORBit(TMC80, 0x80);
}

void TM80_Stop( )
{
	SetIORBit(MK1, 0x08);			/* INTTM80 disable */
	ClrIORBit(IF1, 0x08);
	ClrIORBit(TMC80, 0x80);
}

/*
**-----------------------------------------------------------------------------
**
**  Abstract:
**	INTP0 Interrupt service routine.
**
**  Parameters:
**	None
**
**  Returns:
**	None
**
**-----------------------------------------------------------------------------
*/
__interrupt void MD_INTP0( void )
{
	rec[count]=TM80;
	TM80_Stop( );
	TM80_Start( );
	count++;
	if(count==14){count=0;flg=1;}

	

	/* TODO. Add user defined interrupt service routine */
}
