/*
*******************************************************************************
**
**  This device driver was created by Applilet for the 78K0S/KB1+, 78K0S/KA1+,
**  78K0S/KY1+,78K0S/KU1+ 8-Bit Single-Chip Microcontrollers
**
**  Copyright(C) NEC Electronics Corporation 2002-2006
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation  assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	timer_user.c
**  Abstract :	This file implements device driver for the timer module.
**  APIlib:	NEC78K0SKX1+.lib V1.70 [7 Dec. 2006]
**
**  Device :	uPD78F9222
**
**  Compiler :	NEC/CC78K0
**
*******************************************************************************
*/

#pragma interrupt  INTTM80 MD_INTTM80
#pragma interrupt  INTTMH1 MD_INTTMH1
/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "timer.h"


/*
*******************************************************************************
**  MacroDefine
*******************************************************************************
*/
extern unsigned char	count;
extern unsigned char	offcnt;
extern unsigned char	offlg;

/*
**-----------------------------------------------------------------------------
**
**  Abstract:
**	This function is TM80 INTTM80 interrupt service routine.
**
**  Parameters:
**	None
**
**  Returns:
**	None
**
**-----------------------------------------------------------------------------
*/
__interrupt void MD_INTTM80( void )
{
	count=0;

	/* TODO */
}

/*
**-----------------------------------------------------------------------------
**
**  Abstract:
**	This function is TMH1 INTTMH1 interrupt service routine.
**
**  Parameters:
**	None
**
**  Returns:
**	None
**
**-----------------------------------------------------------------------------
*/
__interrupt void MD_INTTMH1( void )
{
	offcnt++;
	if(offcnt>=2){
		offcnt=0;
		offlg=1;
		TMH1_Stop();
	}

	/* TODO */
}
