/*
*******************************************************************************
**
**  This device driver was created by Applilet for the 78K0S/KB1+, 78K0S/KA1+,
**  78K0S/KY1+,78K0S/KU1+ 8-Bit Single-Chip Microcontrollers.
**
**  Copyright(C) NEC Electronics Corporation 2002-2006
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	main.c
**  Abstract :	This file implements main function.
**  APIlib :	NEC78K0SKX1+.lib V1.70 [7 Dec. 2006]
**
**  Device :	uPD78F9222
**
**  Compiler :	NEC/CC78K0
**
*******************************************************************************
*/
/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "system.h"
#include "ad.h"
#include "int.h"
#include "port.h"
#include "timer.h"
#include "watchdogtimer.h"
#include "lvi.h"
/*
*******************************************************************************
**  MacroDefine
*******************************************************************************
*/
/*
**---------------------------------------------------------------------------
**
**  Abstract:
**	This function implements main function.
**
**  Parameters:
**	None
**
**  Returns:
**	None
**
**---------------------------------------------------------------------------
*/
unsigned char	count;
unsigned char	offcnt;
unsigned char	rec[20];
unsigned char	flg;
unsigned char	offlg;
unsigned char	mode_data;		/*2bit*/
unsigned char	code_data;		/*4bit*/
unsigned char	swin;


void	port_init(void)
{
	P2.0=1;P2.1=1;P2.2=1;P2.3=1;
	P4.0=0;P4.1=0;P4.2=0;P4.3=0;
	P12.1=1;P12.2=1;P12.3=1;P13.0=1;
}
unsigned char	hantei(void)
{
unsigned char	data;
unsigned char	i;
unsigned char	m;

	data=0;
	if((rec[1]>=48)&&(rec[1]<=58)){data++;}
	mode_data=0;
	for(i=0;i<2;i++){
		mode_data=mode_data>>1;
		m=rec[2+i*2]+rec[3+i*2];
		if((m>=36)&&(m<=44)){
			mode_data=mode_data+0x80;
			
		}
	}
	mode_data=mode_data>>6;

	code_data=0;
	for(i=0;i<4;i++){
		code_data=code_data>>1;
		m=rec[6+i*2]+rec[7+i*2];
		if((m>=36)&&(m<=44)){
			code_data=code_data+0x80;
		}
	}
	code_data=code_data>>4;
	
	return	data;
}
void	ch_sw_input(void)
{
	swin=0;
	if(P4.4==0){swin=swin+2;}
	if(P4.5==0){swin=swin+1;}
}
void	main(void)
{
	port_init();
	count=0;offcnt=0;
	flg=0;offlg=0;

	/* Start user code. Do not edit comment generated here */
	while (1) {
		ch_sw_input();
		if(flg==1){
			flg=0;
			if(hantei()==1){
				if(swin==mode_data){
					switch (code_data){
						case 0x08:P2.0=0;P4.0=1;break;
						case 0x04:P2.1=0;P4.1=1;break;
						case 0x0c:P2.2=0;P4.2=1;break;
						case 0x02:P2.3=0;P4.3=1;break;
						case 0x06:P2.0=0;P4.0=1;P2.2=0;P4.2=1;break;
						case 0x0e:P2.0=0;P4.0=1;P2.3=0;P4.3=1;break;
						case 0x05:P2.1=0;P4.1=1;P2.2=0;P4.2=1;break;
						case 0x0d:P2.1=0;P4.1=1;P2.3=0;P4.3=1;break;
						case 0x0f:port_init();break;
					}
				}
				
				switch (mode_data){
					case 0:P12.1=0;break;
					case 1:P12.3=0;break;
					case 2:P12.2=0;break;
					case 3:P13.0=0;break;
				}
				offcnt=0;
				TMH1_Start();
			}
		}
		
		if(offlg==1){
			offlg=0;
			port_init();
		}
		
	}
	/* End user code. Do not edit comment generated here */
}

